package com.google.android.exoplayer2.e;

import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;

final class d$a {
    public final boolean bdY;
    public final String mimeType;

    public d$a(String str, boolean z) {
        this.mimeType = str;
        this.bdY = z;
    }

    public final int hashCode() {
        AppMethodBeat.i(95239);
        int hashCode = (this.bdY ? 1231 : 1237) + (((this.mimeType == null ? 0 : this.mimeType.hashCode()) + 31) * 31);
        AppMethodBeat.o(95239);
        return hashCode;
    }

    public final boolean equals(Object obj) {
        AppMethodBeat.i(95240);
        if (this == obj) {
            AppMethodBeat.o(95240);
            return true;
        } else if (obj == null || obj.getClass() != d$a.class) {
            AppMethodBeat.o(95240);
            return false;
        } else {
            d$a d_a = (d$a) obj;
            if (TextUtils.equals(this.mimeType, d_a.mimeType) && this.bdY == d_a.bdY) {
                AppMethodBeat.o(95240);
                return true;
            }
            AppMethodBeat.o(95240);
            return false;
        }
    }
}
